#include <windows.h>
#include <GL\gl.h>
#include <GL\glu.h>
#include "MyGL.h"

#define M_PI        3.14159265358979323846
float delta=0.1;
GLfloat=0,y=0,z=5; 

void MyGL::GLInit(HWND *hwnd, HGLRC *hRC)
{
HDC hdc;
		hdc=GetDC(*hwnd);
		PIXELFORMATDESCRIPTOR pfd;
		int nPixelFormat;
		pfd.dwFlags=PFD_DRAW_TO_WINDOW | PFD_SUPPORT_OPENGL | PFD_DOUBLEBUFFER;
		nPixelFormat=ChoosePixelFormat(hdc, &pfd);
		SetPixelFormat(hdc, nPixelFormat, &pfd);
		*hRC=wglCreateContext(hdc);
		wglMakeCurrent(hdc, *hRC);
		glClearColor(0.0, 0.0, 0.0, 1.0);
		glColor3f(0.0, 1.0, 0.0);
		glDepthFunc(GL_LESS);							
		glEnable(GL_DEPTH_TEST);						
		glShadeModel(GL_SMOOTH);					
		glHint(GL_PERSPECTIVE_CORRECTION_HINT, GL_NICEST);
}

void MyGL::ReSizeScene(int width,int height)
{
	if( height == 0 )
            {
               height = 1;
            }
		glViewport( 0, 0, width, height );
		glMatrixMode( GL_PROJECTION );
		glLoadIdentity();
		gluPerspective( 45.0f, (float)width/(float)height, 0.1f, 100.0f );
		glMatrixMode(GL_MODELVIEW);
		glLoadIdentity();
		
}

void MyGL::RenderScene(HWND *hwnd)
{
		glTranslatef(-1.5f,0.0f,-6.0f);
		glRotatef(x,0.0f,1.0f,0.0f);

		glBegin(GL_TRIANGLES);
		glColor3f(1.0, 0.0, 0.0);
		glVertex3f(-0.5, -0.5, 0.0);

		glColor3f(0.0, 1.0, 1.0);
		glVertex3f(0.5, -0.5, 0.0);

		glColor3f(0.0, 0.0, 1.0);
		glVertex3f(0.0, 0.5, 0.0);
		glEnd();
		glLoadIdentity();
		//SwapBuffers(hdc);
		//ValidateRect(*hwnd, NULL);
		x+=0.5f;
}

